import request from '@/common/axiosHelper.js'

/* 获取进度项列表*/
 export function GetPmProgressDTOs(projectCode,userCode,searchValue) {
   return request({
 	url: '/Progress/GetPmProgressDTOs',
 	method: 'get',
 	params:{projectCode:projectCode,userCode:userCode,searchValue:searchValue}
   })
 }
 
 /* 插入进度报告*/
  export function InsertProgressReport(data) {
    return request({
  	url: '/Progress/InsertProgressReport',
  	method: 'POST',
  	data:data
    })
  }
  
  /* 获取进度主项步骤，先按名称排序，再按实际执行时间倒序*/
   export function GetPmProgressItemAndReports(projectCode,userCode) {
     return request({
   	url: '/Progress/GetPmProgressItemAndReports',
   	method: 'get',
   	params:{projectCode:projectCode,userCode:userCode}
     })
   }
   
   /* 进度报告列表*/
    export function GetpmProgressReportDTOs(progressNodeId) {
      return request({
    	url: '/Progress/GetpmProgressReportDTOs',
    	method: 'get',
    	params:{progressNodeId:progressNodeId}
      })
    }
	/* 根据进度报告id获取进度报告实例*/
	 export function GetpmProgressReportDTO(progressReportId) {
	   return request({
	 	url: '/Progress/GetpmProgressReportDTO',
	 	method: 'get',
	 	params:{progressReportId:progressReportId}
	   })
	 }
	